
#version 130              // delete this line if using GLSL 1.2
precision mediump float;  // delete this line if using GLSL 1.2

//in vec2 vScreenPos;
in vec2 uv;

uniform float opacity;
uniform sampler2D texture;

out vec4 fragColor;

void main(){
	//fragColor = texture2D(texture, uv);
	//fragColor = textureOffset(texture, uv, ivec2(100,150));
	
	vec2 texSize = 1.0f /  textureSize(texture, 0);
	
	//fragColor = texture2D(texture, uv)*1;
	fragColor = textureLod(texture, uv,0);
	fragColor.w = fragColor.w * opacity;
	
	//fragColor = vec4(opacity, 1,0,1);
	
	/*
	if( uv.x > 0.999f || uv.y > 0.999f || uv.x < 0.001f || uv.y < 0.001f){
		fragColor = vec4(0f,1.0f,0f,1.0f);
	}
	*/

}